package org.project.entity.players;


import org.project.entity.Entity;
import org.project.item.armors.KnightArmor;
import org.project.item.weapons.Sword;

public class Knight extends Player {

    public Knight(String name){
        super("⚔\uFE0F " + name + "(Knight)" , 50 , 50 , new Sword() , new KnightArmor() ,10);
    }


    @Override
    public void specialAbility(Entity target){
        System.out.println(this.getName() + "use special ability");
        mp -=30;
        target.takeDamage(weapon.getDamage() + fistDamage);
        target.falsepossible();
    }


}
